/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

/**
 * Represents an invoker-proxy-binding element of the jboss.xml deployment descriptor for
 * the 4.0 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.1.2.2 $</tt>
 */
public class InvokerProxyBinding
{
   private String name;
   private String proxyFactory;
   private ClientBeanInterceptors clientBeanInterceptors;

   public String getName()
   {
      return name;
   }

   public void setName(String name)
   {
      this.name = name;
   }
   
   public String getProxyFactory()
   {
      return proxyFactory;
   }

   public void setProxyFactory(String proxyFactory)
   {
      this.proxyFactory = proxyFactory;
   }
   
   public ClientBeanInterceptors getClientBeanInterceptors()
   {
      return clientBeanInterceptors;
   }

   public void setClientBeanInterceptors(ClientBeanInterceptors clientBeanInterceptors)
   {
      this.clientBeanInterceptors = clientBeanInterceptors;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("name=").append(name);
      sb.append(",proxyFactory=").append(proxyFactory);
      sb.append("]");
      return sb.toString();
   }
}
